Plank.DockletItem – plank Reference Manual

# DockletItem

## Object Hierarchy:

## Description:

public abstract class DockletItem : DockItem
Namespace: Plank
Package: plank

## Content:

### Creation methods:

- public DockletItem ()

### Methods:

- public override bool is_valid ()

### Inherited Members:

All known members inherited from class Plank.DockItem

- Icon
- ForcePixbuf
- Count
- CountVisible
- Progress
- ProgressVisible
- Position
- LastPosition
- State
- Indicator

- AverageIconColor
- DockItemFilename
- Launcher
- Prefs
- load_from_launcher
- @delete
- reset_icon_buffer
- reset_buffers
- unset_move_state

- get_surface
- get_background_surface
- get_foreground_surface
- get_surface_copy
- draw_icon
- draw_icon_fast
- is_valid
- copy_values_to
- deleted

All known members inherited from class Plank.DockElement

- Container
- Text
- IsAttached
- IsVisible
- Button
- ClickedAnimation
- HoveredAnimation
- ScrolledAnimation
- AddTime
- RemoveTime
- LastClicked
- LastHovered
- LastScrolled

- LastUrgent
- LastActive
- LastMove
- LastValid
- create_menu_item
- create_menu_item_with_pixbuf
- create_literal_menu_item
- create_literal_menu_item_with_pixbuf
- clicked
- on_clicked
- hovered
- on_hovered

- scrolled
- on_scrolled
- get_dock
- get_menu_items
- get_drop_text
- can_be_removed
- can_accept_drop
- accept_drop
- unique_id
- as_uri
- reset_buffers
- needs_redraw

All known members inherited from class GLib.Object

- @new
- new_valist
- newv
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- freeze_notify
- @get

- get_class
- get_data
- get_property
- get_qdata
- get_type
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set
- set_data

- set_data_full
- set_property
- set_qdata
- set_qdata_full
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count